## org.eclipse.datatools.sqltools.data.internal.core.editor
Interface ITableData

All Known Subinterfaces:
  ITableData2

All Known Implementing Classes:
  TableDataImpl

    public interface ITableData

Method Summary
`void` `deleteRow(IRowData row)`
`void` `dispose()`
`int` `getColumnCount()`
`IColumnDataAccessor` `getColumnDataAccessor(int col)`
`java.lang.String` `getColumnHeader(int col)`
`java.lang.String` `getColumnName(int col)`
`int` `getColumnType(int col)`
`java.util.Vector` `getRows()`
`IRowData` `insertRow()`
`boolean` `isReadonly()`
`void` `revert()`
`int` `save(Output output)`

Method Detail

### isReadonly

    boolean isReadonly()

### getColumnCount

    int getColumnCount()

### getColumnName

    java.lang.String getColumnName(int col)

### getColumnType

    int getColumnType(int col)

### getColumnHeader

    java.lang.String getColumnHeader(int col)

### getColumnDataAccessor

    IColumnDataAccessor getColumnDataAccessor(int col)

### getRows

    java.util.Vector getRows()

### insertRow

    IRowData insertRow()

### deleteRow

    void deleteRow(IRowData row)

### save

    int save(Output output)
             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### revert

    void revert()

### dispose

    void dispose()